> For the complete documentation index, see [llms.txt](https://docs.ckbull.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ckbull.app/api/transactions.md).

# Transactions

## How do I prepare transaction requests?

In order to send transaction requests to CKBull Wallet users, the [**Lumos**](https://github.com/ckb-js/lumos) library must be used. Specifically, it is necessary to provide a JSON object of type **TransactionSkeletonType** containing the **outputs** corresponding to the reason for the transaction.

When the user receives the request and proceeds to sign it, the rest of the fields of the transaction (cellDeps, inputs, witnesses, etc.) will be **filled in automatically**, once the transaction is signed, it will be sent.

## Supported transactions

* **CKB** transactions
* **Token** transactions
* **NFTs** transactions

## Lumos versions supported

This section will list all supported versions for transaction generation:

* **✅ v0.19.0**
* **✅ v0.18.0**


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ckbull.app/api/transactions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
